/*
     This file is part of GNUnet.
     (C) 2001, 2002 Christian Grothoff (and other contributing authors)

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/

/** 
 * @file include/applications/afs/util/policy.h
 * @brief Code for enforcing the anonymity policy set by the user.
 * @author Christian Grothoff
 **/ 

#ifndef ANONYMITY_POLICY_H
#define ANONYMITY_POLICY_H

/**
 * Initialize the module.
 **/
void initAnonymityPolicy();

/**
 * Shutdown the module.
 **/
void doneAnonymityPolicy();

/**
 * Check if the anonymity policy will be violated if
 * a message of the given type will be send.
 * @param type the request type of the message that will be
 *        transmitted
 * @param size the size of the message that will be
 *        transmitted
 * @return YES if this is ok for the policy, NO if not
 **/
int checkAnonymityPolicy(unsigned short type,
			 unsigned short size);

#endif
			 
